﻿using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using Users_Roles.Models;

namespace Users_Roles.ViewModels
{
    internal class PageRegistrationVM : ViewModelBase
    {
        string _massege;
        bool isVisUser = false;
        bool isVisAdmin = true;
        string _login;
        string _password ="";
        byte[] _passwordBool;
        public bool IsVisUser { get => isVisUser; set => isVisUser = value; }
        public bool IsVisAdmin { get => isVisAdmin; set => isVisAdmin = value; }
        public string Massege { get => _massege; set => this.RaiseAndSetIfChanged(ref _massege,value); }
        public string Login { get => _login; set => _login = value; }
        public string Password { get => _password; set => _password = value; }
        public byte[] PasswordBool { get => _passwordBool; set => _passwordBool = value; }
        public PageRegistrationVM()
        {
            if (MainWindowViewModel.myConnection.Users.Any(x => x.RoleUser == 1))
            {
                IsVisUser = true;
                IsVisAdmin = false;
            }
            else 
            {
                IsVisUser = false;
                IsVisAdmin = true;
            }
        }

        public void ToAddUser(int idRole)
        {
            MainWindowViewModel.Instance.PageContent = new AddUserV(idRole);
        }
        public void ToAuth()
        {
            PasswordBool = MD5.HashData(Encoding.ASCII.GetBytes(Password));
            if (MainWindowViewModel.myConnection.Users.Any(x => x.Login == Login))
            {
                if (MainWindowViewModel.myConnection.Users.Where(x => x.Login == Login).Where(x => x.Pasword == PasswordBool).Any())
                {
                    MainWindowViewModel.Instance.PageContent = new ProfileV(MainWindowViewModel.myConnection.Users.Where(x => x.Login == Login).Where(x => x.Pasword == PasswordBool).Select(x => x.IdUser).First());
                }
                else
                {
                    Massege = "Неправильный логин или пароль";
                }
            }
            else 
            {
                Massege = "Неправильный логин или пароль";
            }
        }
    }
}
